curl --request DELETE \
--url https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"record_ids": [
"aqr_abc123",
"aqr_def456"
]
}
'import requests
url = "https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records"
payload = { "record_ids": ["aqr_abc123", "aqr_def456"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({record_ids: ['aqr_abc123', 'aqr_def456']})
};
fetch('https://api.arize.com/v2/annotation-queues/{annotation_queue_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 403,
"title": "Access forbidden",
"detail": "You do not have permission to access this resource.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#access-forbidden"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 422,
"title": "Unprocessable Entity",
"detail": "One or more fields failed validation.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#unprocessable-entity"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Delete annotation queue records
Delete one or more records from an annotation queue by their IDs.
If one or more record IDs are not found or do not belong to the specified queue, they are silently ignored. A 204 response does not guarantee that all provided IDs were deleted.
Returns 404 if the annotation queue specified by annotation_queue_id is not found.
Individual missing record IDs do not trigger a 404.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique annotation queue identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Body
Body containing the IDs of annotation queue records to delete
The IDs of the annotation queue records to delete.
1 - 100 elementsA universally unique identifier (base64-encoded opaque string).
Response
Annotation queue records successfully deleted
Was this page helpful?